%define anolis_release 1

Name:           python-jupyter-events
Version:        0.6.3
Release:        %{anolis_release}%{?dist}
Summary:        Jupyter Event System library
License:        BSD-3-Clause
URL:            https://jupyter.org
Source:         %{pypi_source jupyter_events}

BuildArch:      noarch
BuildRequires:  python3-devel
# Manual test deps - upstream contains coverage, pre-commit, …
BuildRequires:  python3-click
BuildRequires:  python3-rich
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-asyncio
BuildRequires:  python3-pytest-console-scripts

%global _description %{expand:
An event system for Jupyter Applications and extensions.}


%description %_description

%package -n     python3-jupyter-events
Summary:        %{summary}

%description -n python3-jupyter-events %_description


%prep
%autosetup -p1 -n jupyter_events-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files jupyter_events

echo "%%{python3_sitelib}/jupyter_events-%{version}.dist-info/licenses/COPYING.md" >> %{pyproject_files}


%check
%pytest


%files -n python3-jupyter-events -f %{pyproject_files}
%{_bindir}/jupyter-events

%changelog
* Sun May 14 2023 Funda Wang <fundawang@yeah.net> - 0.6.3-1
- Import package for anolis 23
